//#define NU32_STANDALONE  // uncomment if program is standalone, not bootloaded
#include "NU32.h"          // plib.h, config bits, constants, funcs for startup and UART

int main(void) {
  NU32_Startup(); // cache on, min flash wait, interrupts on, LED/button init, UART init

  // some defaults could be relied on below
  OpenTimer2(T2_ON | T2_PS_1_4, 1999);
  OpenOC1(OC_ON | OC_TIMER2_SRC | OC_PWM_FAULT_PIN_DISABLE, 1500, 1500);

  // some code ...

  SetDCOC1PWM(1000);  // set duty cycle to 50%
  while (1);
  return 0;
}

